<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstTrackerRawData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_tracker_raw_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstTrackerRawData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_raw_data_const_8h_source.html">TrackerRawDataConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a584af0dafb0a08a9a687f45ccb1571a1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a584af0dafb0a08a9a687f45ccb1571a1">ConstTrackerRawData</a> ()</td></tr>
<tr class="memdesc:a584af0dafb0a08a9a687f45ccb1571a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a584af0dafb0a08a9a687f45ccb1571a1">More...</a><br /></td></tr>
<tr class="separator:a584af0dafb0a08a9a687f45ccb1571a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade2663b5f2651b0d9e751c8bde9b2817"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#ade2663b5f2651b0d9e751c8bde9b2817">ConstTrackerRawData</a> (long long <a class="el" href="classeic_1_1_const_tracker_raw_data.html#a14323906e61cde925f76a3d45fd43fc2">cellID0</a>, long long <a class="el" href="classeic_1_1_const_tracker_raw_data.html#a57b43e648659351dc10f932d69746a3b">cellID1</a>, long long <a class="el" href="classeic_1_1_const_tracker_raw_data.html#ae4980c190c5dc5f966d439ff67204790">channelID</a>, int <a class="el" href="classeic_1_1_const_tracker_raw_data.html#ab0072dbdaa2f53a345d862562a2f692a">time</a>, int <a class="el" href="classeic_1_1_const_tracker_raw_data.html#a3e8f36ce6772d09fbfe56635a9586816">adc</a>)</td></tr>
<tr class="separator:ade2663b5f2651b0d9e751c8bde9b2817"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0b11722465a4b2db9444f8e7a4bd349"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#af0b11722465a4b2db9444f8e7a4bd349">ConstTrackerRawData</a> (<a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> *obj)</td></tr>
<tr class="memdesc:af0b11722465a4b2db9444f8e7a4bd349"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a>  <a href="#af0b11722465a4b2db9444f8e7a4bd349">More...</a><br /></td></tr>
<tr class="separator:af0b11722465a4b2db9444f8e7a4bd349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a28f89f40e684b9351deefe8779a009"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a9a28f89f40e684b9351deefe8779a009">ConstTrackerRawData</a> (const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;other)</td></tr>
<tr class="memdesc:a9a28f89f40e684b9351deefe8779a009"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a9a28f89f40e684b9351deefe8779a009">More...</a><br /></td></tr>
<tr class="separator:a9a28f89f40e684b9351deefe8779a009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67d32b434513b58d9f40d5828982f113"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a67d32b434513b58d9f40d5828982f113">operator=</a> (const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;other)</td></tr>
<tr class="memdesc:a67d32b434513b58d9f40d5828982f113"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a67d32b434513b58d9f40d5828982f113">More...</a><br /></td></tr>
<tr class="separator:a67d32b434513b58d9f40d5828982f113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fab4fb1488a4021f07bc5a3a961d108"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a4fab4fb1488a4021f07bc5a3a961d108">clone</a> () const</td></tr>
<tr class="memdesc:a4fab4fb1488a4021f07bc5a3a961d108"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a4fab4fb1488a4021f07bc5a3a961d108">More...</a><br /></td></tr>
<tr class="separator:a4fab4fb1488a4021f07bc5a3a961d108"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0963846ec61e412db886efc7ec304fb8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a0963846ec61e412db886efc7ec304fb8">~ConstTrackerRawData</a> ()</td></tr>
<tr class="memdesc:a0963846ec61e412db886efc7ec304fb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a0963846ec61e412db886efc7ec304fb8">More...</a><br /></td></tr>
<tr class="separator:a0963846ec61e412db886efc7ec304fb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14323906e61cde925f76a3d45fd43fc2"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a14323906e61cde925f76a3d45fd43fc2">cellID0</a> () const</td></tr>
<tr class="memdesc:a14323906e61cde925f76a3d45fd43fc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The detector specific (geometrical) cell id.  <a href="#a14323906e61cde925f76a3d45fd43fc2">More...</a><br /></td></tr>
<tr class="separator:a14323906e61cde925f76a3d45fd43fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57b43e648659351dc10f932d69746a3b"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a57b43e648659351dc10f932d69746a3b">cellID1</a> () const</td></tr>
<tr class="memdesc:a57b43e648659351dc10f932d69746a3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The second detector specific (geometrical) cell id.  <a href="#a57b43e648659351dc10f932d69746a3b">More...</a><br /></td></tr>
<tr class="separator:a57b43e648659351dc10f932d69746a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4980c190c5dc5f966d439ff67204790"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#ae4980c190c5dc5f966d439ff67204790">channelID</a> () const</td></tr>
<tr class="memdesc:ae4980c190c5dc5f966d439ff67204790"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the channel id.  <a href="#ae4980c190c5dc5f966d439ff67204790">More...</a><br /></td></tr>
<tr class="separator:ae4980c190c5dc5f966d439ff67204790"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0072dbdaa2f53a345d862562a2f692a"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#ab0072dbdaa2f53a345d862562a2f692a">time</a> () const</td></tr>
<tr class="memdesc:ab0072dbdaa2f53a345d862562a2f692a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the time measurement associated with the adc values.  <a href="#ab0072dbdaa2f53a345d862562a2f692a">More...</a><br /></td></tr>
<tr class="separator:ab0072dbdaa2f53a345d862562a2f692a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e8f36ce6772d09fbfe56635a9586816"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a3e8f36ce6772d09fbfe56635a9586816">adc</a> () const</td></tr>
<tr class="memdesc:a3e8f36ce6772d09fbfe56635a9586816"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the measured ADC values.  <a href="#a3e8f36ce6772d09fbfe56635a9586816">More...</a><br /></td></tr>
<tr class="separator:a3e8f36ce6772d09fbfe56635a9586816"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05f2cb05d12b6ec8725eec8949cdd939"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a05f2cb05d12b6ec8725eec8949cdd939">isAvailable</a> () const</td></tr>
<tr class="memdesc:a05f2cb05d12b6ec8725eec8949cdd939"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a05f2cb05d12b6ec8725eec8949cdd939">More...</a><br /></td></tr>
<tr class="separator:a05f2cb05d12b6ec8725eec8949cdd939"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab21375e2bdde3cc0a616a953dac1822d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#ab21375e2bdde3cc0a616a953dac1822d">unlink</a> ()</td></tr>
<tr class="memdesc:ab21375e2bdde3cc0a616a953dac1822d"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> instance  <a href="#ab21375e2bdde3cc0a616a953dac1822d">More...</a><br /></td></tr>
<tr class="separator:ab21375e2bdde3cc0a616a953dac1822d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27e7f36cec9208598e6522e547e02a4e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a27e7f36cec9208598e6522e547e02a4e">operator==</a> (const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;other) const</td></tr>
<tr class="separator:a27e7f36cec9208598e6522e547e02a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a017f9a3d5983bbe0790765e5e8a4367b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a017f9a3d5983bbe0790765e5e8a4367b">operator==</a> (const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;other) const</td></tr>
<tr class="separator:a017f9a3d5983bbe0790765e5e8a4367b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaacccd777e6d4004ebdf6af9d5525a48"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#aaacccd777e6d4004ebdf6af9d5525a48">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;other) const</td></tr>
<tr class="separator:aaacccd777e6d4004ebdf6af9d5525a48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a407edf42728adae04616a386192d7dcf"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a407edf42728adae04616a386192d7dcf">id</a> () const</td></tr>
<tr class="separator:a407edf42728adae04616a386192d7dcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a820efd795bbaffcbe54dacff6d26aeb4"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_raw_data.html#a820efd795bbaffcbe54dacff6d26aeb4">getObjectID</a> () const</td></tr>
<tr class="separator:a820efd795bbaffcbe54dacff6d26aeb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC tracker raw data </p><dl class="section author"><dt>Author</dt><dd>: Whit Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8h_source.html#l00023">23</a> of file <a class="el" href="_tracker_raw_data_const_8h_source.html">TrackerRawDataConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a584af0dafb0a08a9a687f45ccb1571a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a584af0dafb0a08a9a687f45ccb1571a1">&#9670;&nbsp;</a></span>ConstTrackerRawData() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerRawData::ConstTrackerRawData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00016">16</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

</div>
</div>
<a id="ade2663b5f2651b0d9e751c8bde9b2817"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade2663b5f2651b0d9e751c8bde9b2817">&#9670;&nbsp;</a></span>ConstTrackerRawData() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerRawData::ConstTrackerRawData </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>channelID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>adc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00020">20</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00020">eic::TrackerRawDataData::adc</a>, <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00054">adc()</a>, <a class="el" href="_tracker_raw_data_data_8h_source.html#l00016">eic::TrackerRawDataData::cellID0</a>, <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00050">cellID0()</a>, <a class="el" href="_tracker_raw_data_data_8h_source.html#l00017">eic::TrackerRawDataData::cellID1</a>, <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00051">cellID1()</a>, <a class="el" href="_tracker_raw_data_data_8h_source.html#l00018">eic::TrackerRawDataData::channelID</a>, <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00052">channelID()</a>, <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>, <a class="el" href="_tracker_raw_data_data_8h_source.html#l00019">eic::TrackerRawDataData::time</a>, and <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00053">time()</a>.</p>

</div>
</div>
<a id="af0b11722465a4b2db9444f8e7a4bd349"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0b11722465a4b2db9444f8e7a4bd349">&#9670;&nbsp;</a></span>ConstTrackerRawData() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerRawData::ConstTrackerRawData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00039">39</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

</div>
</div>
<a id="a9a28f89f40e684b9351deefe8779a009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a28f89f40e684b9351deefe8779a009">&#9670;&nbsp;</a></span>ConstTrackerRawData() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerRawData::ConstTrackerRawData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00029">29</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

</div>
</div>
<a id="a0963846ec61e412db886efc7ec304fb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0963846ec61e412db886efc7ec304fb8">&#9670;&nbsp;</a></span>~ConstTrackerRawData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerRawData::~ConstTrackerRawData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00047">47</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3e8f36ce6772d09fbfe56635a9586816"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e8f36ce6772d09fbfe56635a9586816">&#9670;&nbsp;</a></span>adc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::ConstTrackerRawData::adc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the measured ADC values. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00054">54</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00020">eic::TrackerRawDataData::adc</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00020">ConstTrackerRawData()</a>, and <a class="el" href="_tracker_raw_data_8cc_source.html#l00089">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a14323906e61cde925f76a3d45fd43fc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14323906e61cde925f76a3d45fd43fc2">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstTrackerRawData::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00050">50</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00016">eic::TrackerRawDataData::cellID0</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00020">ConstTrackerRawData()</a>, and <a class="el" href="_tracker_raw_data_8cc_source.html#l00089">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a57b43e648659351dc10f932d69746a3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57b43e648659351dc10f932d69746a3b">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstTrackerRawData::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00051">51</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00017">eic::TrackerRawDataData::cellID1</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00020">ConstTrackerRawData()</a>, and <a class="el" href="_tracker_raw_data_8cc_source.html#l00089">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae4980c190c5dc5f966d439ff67204790"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4980c190c5dc5f966d439ff67204790">&#9670;&nbsp;</a></span>channelID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstTrackerRawData::channelID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the channel id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00052">52</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00018">eic::TrackerRawDataData::channelID</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00020">ConstTrackerRawData()</a>, and <a class="el" href="_tracker_raw_data_8cc_source.html#l00089">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a4fab4fb1488a4021f07bc5a3a961d108"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fab4fb1488a4021f07bc5a3a961d108">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> eic::ConstTrackerRawData::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00043">43</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

</div>
</div>
<a id="a820efd795bbaffcbe54dacff6d26aeb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a820efd795bbaffcbe54dacff6d26aeb4">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstTrackerRawData::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00068">68</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_const_8h_source.html#l00082">id()</a>.</p>

</div>
</div>
<a id="a407edf42728adae04616a386192d7dcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a407edf42728adae04616a386192d7dcf">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstTrackerRawData::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8h_source.html#l00082">82</a> of file <a class="el" href="_tracker_raw_data_const_8h_source.html">TrackerRawDataConst.h</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00068">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_8cc_source.html#l00089">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a05f2cb05d12b6ec8725eec8949cdd939"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05f2cb05d12b6ec8725eec8949cdd939">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerRawData::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00061">61</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

</div>
</div>
<a id="aaacccd777e6d4004ebdf6af9d5525a48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaacccd777e6d4004ebdf6af9d5525a48">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerRawData::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8h_source.html#l00080">80</a> of file <a class="el" href="_tracker_raw_data_const_8h_source.html">TrackerRawDataConst.h</a>.</p>

</div>
</div>
<a id="a67d32b434513b58d9f40d5828982f113"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67d32b434513b58d9f40d5828982f113">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp; eic::ConstTrackerRawData::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00033">33</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

</div>
</div>
<a id="a27e7f36cec9208598e6522e547e02a4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27e7f36cec9208598e6522e547e02a4e">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerRawData::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8h_source.html#l00076">76</a> of file <a class="el" href="_tracker_raw_data_const_8h_source.html">TrackerRawDataConst.h</a>.</p>

</div>
</div>
<a id="a017f9a3d5983bbe0790765e5e8a4367b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a017f9a3d5983bbe0790765e5e8a4367b">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerRawData::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00075">75</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

</div>
</div>
<a id="ab0072dbdaa2f53a345d862562a2f692a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0072dbdaa2f53a345d862562a2f692a">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::ConstTrackerRawData::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the time measurement associated with the adc values. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00053">53</a> of file <a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>, and <a class="el" href="_tracker_raw_data_data_8h_source.html#l00019">eic::TrackerRawDataData::time</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_const_8cc_source.html#l00020">ConstTrackerRawData()</a>, and <a class="el" href="_tracker_raw_data_8cc_source.html#l00089">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ab21375e2bdde3cc0a616a953dac1822d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab21375e2bdde3cc0a616a953dac1822d">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstTrackerRawData::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_const_8h_source.html#l00074">74</a> of file <a class="el" href="_tracker_raw_data_const_8h_source.html">TrackerRawDataConst.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_raw_data_const_8h_source.html">TrackerRawDataConst.h</a></li>
<li>src/<a class="el" href="_tracker_raw_data_const_8cc_source.html">TrackerRawDataConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
